MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
AvioStream Struct Reference

`#include <FfmpegIo.hxx>`

Collaboration diagram for AvioStream:
[legend]

## Public Member Functions
| AvioStream (DecoderClient *_client, InputStream &_input)
| ~AvioStream ()
bool | Open ()

## Data Fields
DecoderClient *const | client
InputStream & | input
AVIOContext * | io

## Detailed Description

Definition at line 34 of file FfmpegIo.hxx.

## Constructor & Destructor Documentation

AvioStream::AvioStream | ( | DecoderClient * | _client,
|  | InputStream & | _input
| ) |  |
| inline

Definition at line 40 of file FfmpegIo.hxx.

AvioStream::~AvioStream | ( |  | ) |

## Member Function Documentation

bool AvioStream::Open | ( |  | ) |

## Field Documentation

DecoderClient* const AvioStream::client

Definition at line 35 of file FfmpegIo.hxx.

InputStream& AvioStream::input

Definition at line 36 of file FfmpegIo.hxx.

AVIOContext* AvioStream::io

Definition at line 38 of file FfmpegIo.hxx.

The documentation for this struct was generated from the following file:

- decoder/plugins/FfmpegIo.hxx